

#include <windows.h>
#include <resshare.h>
#include "resources.h"

HINSTANCE g_hInstance;

typedef struct _RES_SHARE
{
	HRSRC hRsrc;


} RES_SHARE, *PRES_SHARE;

 /***********************************************************************
  * DllMain
  *  
  *    
  *
  * Parameters
  *     
  * 
  * Return Value
  *     
  *
  ***********************************************************************/
BOOL WINAPI DllMain(HINSTANCE hInstance, UINT Reason, PVOID pReserved)
{
	g_hInstance = hInstance;
	return TRUE;
}



 /***********************************************************************
  * ResShare_LoadResource
  *  
  *    
  *
  * Parameters
  *     
  * 
  * Return Value
  *     
  *
  ***********************************************************************/
HRESSHARE ResShare_LoadResource(UINT ResourceId)
{
	HRSRC hRsrc;
	PRES_SHARE pResShare = NULL;

	pResShare = (PRES_SHARE)LocalAlloc(LMEM_ZEROINIT, sizeof(RES_SHARE));

	if(pResShare)
	{
		pResShare->hRsrc = FindResource(g_hInstance, MAKEINTRESOURCE(ResourceId), RT_RCDATA);
		if(pResShare->hRsrc)
		{
		}
		else
		{
			LocalFree(pResShare);
		}
	}

	return pResShare;
	
}

 /***********************************************************************
  * ResShare_GetResourceBuffer
  *  
  *    
  *
  * Parameters
  *     
  * 
  * Return Value
  *     
  *
  ***********************************************************************/
PCHAR ResShare_GetResourceBuffer(HRESSHARE hResShare, UINT *pResSize)
{
}



 /***********************************************************************
  * ResShare_CloseResource
  *  
  *    
  *
  * Parameters
  *     
  * 
  * Return Value
  *     
  *
  ***********************************************************************/
void ResShare_CloseResource(HRESSHARE hResShare)
{
}
